use crate::tcp_relay_server::server_config::ServerConfig;
use crate::test::{get_port_number, PortsAllocation};

const INVALID_TOKEN: &str = "/tmp/a/token/file/that/does/not/exists";

fn port(index: u16) -> u16 {
    get_port_number(PortsAllocation::TestsWithoutPortOpened, index)
}

#[tokio::test()]
async fn test() {
    let _ = env_logger::builder().is_test(true).try_init();

    crate::tcp_relay_server::run_app(ServerConfig {
        tokens: vec![],
        tokens_file: Some(INVALID_TOKEN.to_string()),
        ports: vec![port(1)],
        upstream_server: "127.0.0.1".to_string(),
        listen_address: format!("127.0.0.1:{}", port(0)),
        increment_ports: 1,
        tls_cert: None,
        tls_key: None,
        tls_client_auth_root_cert: None,
        tls_revocation_list: None,
    })
    .await
    .unwrap_err();
}
